package com.ydl.ydlcommon.ui

import android.content.Context
import androidx.fragment.app.DialogFragment
import androidx.fragment.app.FragmentActivity

object Loading {

    private var loadingDialogFragment: DialogFragment? = null
    fun show(context: Context?) {
        if (context !is FragmentActivity) return

        if (loadingDialogFragment == null) {
            loadingDialogFragment = LoadingDialogFragment.newInstance(null)
        }
        if (loadingDialogFragment?.isAdded!!) {
            return
        }
        loadingDialogFragment?.show(context.supportFragmentManager, Loading::class.java.simpleName)
    }

    fun close() {
        loadingDialogFragment?.dismissAllowingStateLoss()
    }
}
